In this presentation i will look at the work made across the 2 years to reflect on how it changed my understanding of code documentation.

Code documentation intended as a rich set of practices: comments in code, readme files, tutorials, guides, references etc., but also moments of collective learning, workshops, pair programming and collaborative documenting 

These aspects are usually marginal in software development: byproducts surroinding the real thing, extra and treats not always available in the scarce economies around documentation.  

I would like to focus on these marginal zones, bring them to the center and explore how do they influence practices of programming & sociality around software development. 

The required awesome list of things done during these two years is left in the background.  

<!-- AAAAH i can put it as a blurred background ahaha amazing -->

## your thesis (only a brief overview for context, as this has been assessed separately in depth),
    
Excerpts from  [Hello Worlding: code documentation as entry point / backdoor to programming practices](https://hub.xpub.nl/soupboat/~kamo/thesis/) 

> Code documentation is an ideal publishing surface to create worlds around software, and to orientate software in the world.

> The nature of code documentation is to create entry points for people to participate in programming practices. To encode and filter knowledge, and ultimately to share it with others. This "nature", however, does not come without issues. It makes a lot of assumptions about who's reading, expecting experts, or engineers, or dudes. Its language is unwelcoming: too dense, too technical, very gendered and unable to address anyone but the neurotypical-white-cis-male programmer. Documentation requires an enormous amount of care, energy and time to be maintained, and it's done always out of budget, always as a side project, always at the end, and only if there's time left.

> Even if it does a questionable job at creating entry points, code documentation still has a lot of potential as a backdoor. It's a publishing surface whose reach extends through time and space. Time because it meets programmers at different moments in their lives: from the _hello world_ till the _how to uninstall_, and it influences thinking about software continuously, and from different perspectives. Space because it comes in many different possible formats, and can shapeshift to serve different occasions: from simple .txt files to entire websites, from coding workshops to comments in the source code to series of video tutorial. The question then becomes: can we make use of these backdoors to infiltrate programming practices and open more entry points from within? 

> I started this research for of two reasons. The first is that I love programming because is like learning another language: not just a new bag of words and a different grammar, but a whole new way of thinking, a lens through which to look at the world. Coding means to express ideas with the reduced vocabulary of a programming language. As in poetry, these constraints stimulate creativity, and encourage a diligent yet playful approach. Working with different programming languages and on different systems transforms thinking in multivarious ways, and that is extremely exciting.

> The second reason is that I want to share this excitement with others, especially with my friends. To be able to think and make sense together of what's happening around us, and come up with alternatives or responses or tools that suit us better. Because of the steep learning curve of programming and the other barriers previously mentioned, this has often not been possible. But now we know that there are other ways in, and that it is possible to open up even more.


## your individual contributions to the special issues,

Ahah what do we even mean by _"individual"_? 

Note that every special issue is a wild ecosystem of things happening at the same time: some of them have the brief lifespan of a cactus flower, some of them reach the public, some others remain in the background, some are subtle gestures, some crazy dangerous proposal.

Some info for context:

- came to xpub with some experience in programming
- a brain wobbled for years between interaction design and contemporary art & web development and design for super corporate clients
- for the sake of working together with others coming from different fields decided to leave a bit aside super tech specific frameworks and languages i was familiar with and return to more accessible things 
- (vanilla js instead of vue for example) 
- (from windows-only vvvv to a more cross platform platforms such as browser or python) 


### SI16

A group of art students tries to familiarize and handle the concept of API, to use it as a publishing surface. 

Code documentation 

-   as personal understanding of an unknown and complex concept
    - chae's drawings
    - miri's meme
    - grgr & sumo diagrams
-   as shared struggle
    - tone of voice in code comment screaming for help
    - sessions of pair programming to face technical stress
-   as collective practice
    - multi voiced through jupiter notebook

### SI17

a group of art students tries to print 80 000 post-its and put them in 100 loot boxes 

Code documentation

- as facilitation to distributed authorship 
    - post-it generator, git as cms
- as poetic and political writing 
    - comments in the screenless office
    - queer motto api readme

### SI18

a group of art students releases 8 weekly sound+ publications alternating roles of curation and contents production

code documentation
- as invitation for particular workflows
- as starting point for further explorations (kiwiboat)


## the development of your reading/writing practice across the 2 years,

reading

1
versioning: search & replace terms in essay to talk about something else
API as worldbuilding (graphic design => api)
murderous history of lootboxes (mimic => lootbox)

2
get to know that something like software studies exist! 
and it's amazing because software is my passion tm
birds press, active reading, reading as republishing

writing

dev a lot of small writing machines to write in different ways
dlist wlist tag pathways soupboat/~kamo 
readme files and comment in code
thesis

## the development of your prototyping practice across the 2 years,

software development is my passion
what i like is: developing tools for others to use

explorations outside the computer:
birds press and different printing and bookbinding techniques
3d printing for soupboat and project


## your final work and research in the second year,

problematize code documentation practices

organized some worshop and small social gatherings around code development
printed some zines
printed some stickers
writing a lot of readme in many different ways


## plans for final publication and grad show (with the understanding that you will continue to work on this after the assessment)


